summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh11
-rw-r--r--scripts/update-patches4
2 files changed, 11 insertions, 4 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 9ac3c2d4a..524680b05 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -34,6 +34,10 @@ if [[ -n $ADK_COMPILE_AVAHI ]]; then
NEED_PKGCONFIG="$NEED_PKGCONFIG avahi"
fi
+if [[ -n $ADK_PACKAGE_SQUID ]]; then
+ NEED_SSLDEV="$NEED_SSLDEV squid"
+fi
+
#if [[ -n $ADK_PACKAGE_RUBY ]]; then
# NEED_RUBY="$NEED_RUBY ruby"
#fi
@@ -55,6 +59,13 @@ if [[ -n $NEED_GETTEXT ]]; then
fi
fi
+if [[ -n $NEED_SSLDEV ]]; then
+ if ! test -f /usr/lib/pkgconfig/openssl.pc >/dev/null; then
+ echo >&2 You need openssl headers to build $NEED_SQUID
+ out=1
+ fi
+fi
+
if [[ -n $NEED_RUBY ]]; then
if ! which ruby >/dev/null 2>&1; then
echo >&2 You need ruby to build $NEED_RUBY
diff --git a/scripts/update-patches b/scripts/update-patches
index e55e1aee7..d38a8fdf4 100644
--- a/scripts/update-patches
+++ b/scripts/update-patches
@@ -70,10 +70,6 @@ else
fi
ORGDIST=${D_BASE}/${D_SUB}.orig
-[[ -d $EXTRADIR ]] && \
- (cd $EXTRADIR; find . -print0) | \
- (cd $WRKDIST; pax -rw -0 -d $ORGDIST/)
-
if [[ -e $WRKDIST/.patched-newfiles ]]; then
touch $ORGDIST/.patched-newfiles
patch_newfiles=1